### Method

# Gdk Event get_axis

#### Declaration [src]

    gboolean
    gdk_event_get_axis (
      GdkEvent* event,
      GdkAxisUse axis_use,
      double* value
    )

#### Description [src]

Extract the axis value for a particular axis use from an event structure.

#### Parameters

`axis_use` | `GdkAxisUse`
| The axis use to look for.
`value` | `double*`
| Location to store the value found.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` if the specified axis was found, otherwise `FALSE`.